return {
  'stevearc/overseer.nvim',
  config = function()
    require('overseer').setup({
      templates = { 'builtin', 'user.cmake.cmake', 'user.clang.clang-tidy' },
    })
  end,
  keys = {
    {
      '<f4>',
      function() require('overseer').run_template() end,
      mode = { 'n', 'x' },
      desc = 'Start task (overseer)',
    },
  },
  cmd = {
    'OverseerOpen',
    'OverseerClose',
    'OverseerToggle',
    'OverseerSaveBundle',
    'OverseerLoadBundle',
    'OverseerDeleteBundle',
    'OverseerRunCmd',
    'OverseerRun',
    'OverseerInfo',
    'OverseerBuild',
    'OverseerQuickAction',
    'OverseerTaskAction',
    'OverseerClearCache',
  },
}
